org.eclipse.gef.dot.internal.ui.language.contentassist

## Class DotTemplateProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider
  - - org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.DotTemplateProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ITemplateProposalProvider

    public class DotTemplateProposalProvider
    extends org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider

`org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider.FollowElementAcceptor`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider

`org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider.NullSafeTemplateAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`DotTemplateProposalProvider(TemplateStore templateStore, ContextTypeRegistry registry, org.eclipse.xtext.ui.editor.templates.ContextTypeIdHelper helper)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected TemplateProposal` `doCreateProposal(Template template, TemplateContext templateContext, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, Image image, int relevance)`

### Methods inherited from class org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider

`createFollowElementAcceptor, createTemplates, getContextTypes, getImage, getRelevance`

### Methods inherited from class org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider

`createProposal, createTemplateContexts, createTemplates, doCreateTemplateContext, getScopeProvider, setScopeProvider, validate, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotTemplateProposalProvider

    @Inject
    public DotTemplateProposalProvider(TemplateStore templateStore,
                                               ContextTypeRegistry registry,
                                               org.eclipse.xtext.ui.editor.templates.ContextTypeIdHelper helper)

### Method Detail

#### doCreateProposal

    protected TemplateProposal doCreateProposal(Template template,
                                                TemplateContext templateContext,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                Image image,
                                                int relevance)

Overrides:
  `doCreateProposal` in class `org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider`